<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <TargetFrameworks>.netstandard2.1; net8.0; net4.8;</TargetFrameworks>
    <ApplicationIcon>icon.ico</ApplicationIcon>
	<LangVersion>latest</LangVersion>
    <Authors>EonaCat (Jeroen Saey)</Authors>
    <GeneratePackageOnBuild>true</GeneratePackageOnBuild>
    <Company>EonaCat (Jeroen Saey)</Company>
    <PackageIcon>icon.png</PackageIcon>
    <PackageProjectUrl>https://www.nuget.org/packages/EonaCat.LogStack/</PackageProjectUrl>
    <Description>flow-based logging library for .NET, designed for zero-allocation logging paths and superior memory efficiency. 
It features a rich fluent API for routing log events to dozens of destinations from console and file to Slack, Discord, Redis, Elasticsearch, and beyond.</Description>
    <PackageReleaseNotes>Public release version</PackageReleaseNotes>
    <Copyright>EonaCat (Jeroen Saey)</Copyright>
    <PackageTags>EonaCat;Logger;EonaCatLogStack;Log;Writer;Flows;LogStack;Memory;Speed;Jeroen;Saey</PackageTags>
    <PackageIconUrl />
    <FileVersion>0.1.1</FileVersion>
    <PackageReadmeFile>README.md</PackageReadmeFile>
    <GenerateDocumentationFile>True</GenerateDocumentationFile>
    <PackageLicenseFile>LICENSE</PackageLicenseFile>
    
    <PackageRequireLicenseAcceptance>True</PackageRequireLicenseAcceptance>
    <Title>EonaCat.LogStack</Title>
    <RepositoryType>git</RepositoryType>
  </PropertyGroup>

	<PropertyGroup>
		<EVRevisionFormat>0.1.1+{chash:10}.{c:ymd}</EVRevisionFormat>
		<EVDefault>true</EVDefault>
		<EVInfo>true</EVInfo>
		<EVTagMatch>v[0-9]*</EVTagMatch>
		<EVRemoveTagV>true</EVRemoveTagV>
		<EVVcs>git</EVVcs>
		<EVCheckAllAttributes>true</EVCheckAllAttributes>
		<EVShowRevision>true</EVShowRevision>
	</PropertyGroup>

    <PropertyGroup>
      <Version>0.1.1</Version>
      <PackageId>EonaCat.LogStack</PackageId>
      <Product>EonaCat.LogStack</Product>
      <RepositoryUrl>https://git.saey.me/EonaCat/EonaCat.LogStack</RepositoryUrl>
      <UserSecretsId>09d73ec1-ee68-42bb-b2bd-b0e31b635098</UserSecretsId>
    </PropertyGroup>

    <Target Name="EVPack" BeforeTargets="Pack">
      <Message Text="EVPack: Forcing NuGet Version = $(GeneratedVersion)" Importance="High" />
      <PropertyGroup>
        <Version>$(GeneratedVersion)</Version>
      </PropertyGroup>
    </Target>

    <ItemGroup>
      <Compile Remove="EonaCatLoggerCore\Examples\**" />
      <Compile Remove="Examples\**" />
      <EmbeddedResource Remove="EonaCatLoggerCore\Examples\**" />
      <EmbeddedResource Remove="Examples\**" />
      <None Remove="EonaCatLoggerCore\Examples\**" />
      <None Remove="Examples\**" />
    </ItemGroup>

	<ItemGroup>
    <None Remove="icon.png" />
    <None Include="..\LICENSE">
      <Pack>True</Pack>
      <PackagePath>\</PackagePath>
    </None>
    <None Include="..\README.md">
      <Pack>True</Pack>
      <PackagePath>\</PackagePath>
    </None>
    <None Include="icon.png">
      <Pack>True</Pack>
      <PackagePath>
      </PackagePath>
    </None>
  </ItemGroup>
  <ItemGroup>
    <PackageReference Include="EonaCat.Json" Version="2.2.3" />
    <PackageReference Include="EonaCat.Versioning" Version="1.5.8">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
	  <PackageReference Include="EonaCat.Versioning.Helpers" Version="1.5.1" />
    <PackageReference Include="Microsoft.CSharp" Version="4.7.0" />
    <PackageReference Include="Microsoft.Extensions.DependencyInjection" Version="10.0.9" />
    <PackageReference Include="Microsoft.Extensions.Hosting" Version="10.0.9" />
    <PackageReference Include="Microsoft.Extensions.Logging" Version="10.0.9" />
    <PackageReference Include="Microsoft.Extensions.Logging.Console" Version="10.0.9" />
    <PackageReference Include="System.Net.Http" Version="4.3.4" />
    <PackageReference Include="System.Threading.Channels" Version="10.0.9" />
  </ItemGroup>
  <ItemGroup>
    <None Update="LICENSE.md">
      <Pack>True</Pack>
      <PackagePath>\</PackagePath>
    </None>
    <None Update="README.md">
      <Pack>True</Pack>
      <PackagePath>\</PackagePath>
    </None>
  </ItemGroup>
</Project>